Summary: Graphic primitives, rotozoomer, framerate control and image filters
Name: SDL_gfx
Version: 2.0.13
Release: 8%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.ferzkopp.net/Software/SDL_gfx-2.0/
Source: http://www.ferzkopp.net/Software/SDL_gfx-2.0/SDL_gfx-%{version}.tar.gz
Patch0: SDL_gfx-2.0.13-semicolon.patch
Patch1: SDL_gfx-2.0.13-ppc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: SDL-devel, automake, autoconf

%description
The SDL_gfx library offers several components: Graphic Primitives,
Rotozoomer, Framerate control, and MMX image filters. The Primitives
component provides basic drawing routines: pixels, hlines, vlines, lines,
aa-lines, rectangles, circles, ellipses, trigons, polygons, Bezier curves,
and an 8x8 pixmap font for drawing onto any SDL Surface. Full alpha
blending, hardware surface locking, and all surface depths are supported.
The Rotozoomer can use interpolation for high quality output.


%package devel
Summary: Header files and static libraries for SDL_gfx
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, SDL-devel

%description devel
This package contains the header files and static libraries for SDL_gfx.
If you want to develop programs using SDL_gfx, you will need to install this
package.


%prep
%setup -q
%patch0 -p1 -b .semicolon
%patch1 -p1 -b .ppc


%build
%configure \
%ifnarch %{ix86}
    --disable-mmx
%endif
# Buildtools have problems even when -j1 is added
%{__make} #%{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/SDL/*.h
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so


%changelog
* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 2.0.13-8
- Include ppc patch (#239130, Bill Nottingham).
- Too late to update to 2.0.16 for F7 (freeze, and soname change).

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.0.13-7
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 22 2006 Matthias Saou <http://freshrpms.net/> 2.0.13-6
- Fix semicolons in header files (#207665).

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 2.0.13-5
- FC6 rebuild.
- Remove gcc-c++ and perl build requirements, they're defaults.
- Add release to the devel sub-package requirement.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 2.0.13-4
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 2.0.13-3
- Rebuild for new gcc/glibc.
- Update URLs.
- Exclude the static library.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Jan 28 2005 Matthias Saou <http://freshrpms.net/> 2.0.13-1
- Initial Extras import, minor spec tweaks.

* Tue Dec 21 2004 Dries Verachtert <dries@ulyssis.org> 2.0.13-1
- Updated to release 2.0.13 and removed the patch (has been
  applied upstream)

* Thu Nov 11 2004 Matthias Saou <http://freshrpms.net/> 2.0.12-3
- Explicitly disable mmx for non-ix86 to fix build on x86_64.

* Fri Oct 22 2004 Dries Verachtert <dries@ulyssis.org> 2.0.12-3
- fixed some buildrequirements so the correct version of libSDL_gfx.so
  can be found in the list of provides.

* Fri Oct 22 2004 Dries Verachtert <dries@ulyssis.org> 2.0.12-2
- rebuild

* Wed Sep 01 2004 Dries Verachtert <dries@ulyssis.org> 2.0.12-1
- Update to version 2.0.12.

* Mon Apr 26 2004 Dries Verachtert <dries@ulyssis.org> 2.0.10-1
- Initial package
